UnparsedJob (Apache Hadoop MapReduce HistoryServer 3.5.0 API)
Description: declaration: package: org.apache.hadoop.mapreduce.v2.hs, class: UnparsedJob

Package org.apache.hadoop.mapreduce.v2.hs

# Class UnparsedJob

java.lang.Object
org.apache.hadoop.mapreduce.v2.hs.UnparsedJob

All Implemented Interfaces:
  `org.apache.hadoop.mapreduce.v2.app.job.Job`

public class UnparsedJob extends Object implements org.apache.hadoop.mapreduce.v2.app.job.Job
A job that has too many tasks associated with it, of which we do not parse its job history file, to prevent the Job History Server from hanging on parsing the file. It is meant to be used only by JHS to indicate if the history file of a job is fully parsed or not.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UnparsedJob(int maxTasksAllowed, org.apache.hadoop.mapreduce.v2.jobhistory.JobIndexInfo jobIndexInfo, HistoryFileManager.HistoryFileInfo jhfInfo)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `checkAccess(org.apache.hadoop.security.UserGroupInformation callerUGI, org.apache.hadoop.mapreduce.JobACL jobOperation)`
  `org.apache.hadoop.mapreduce.v2.api.records.JobReport`
  `constructJobReport()`
  `org.apache.hadoop.mapreduce.Counters`
  `getAllCounters()`
  `List<org.apache.hadoop.mapreduce.v2.api.records.AMInfo>`
  `getAMInfos()`
  `int`
  `getCompletedMaps()`
  `int`
  `getCompletedReduces()`
  `org.apache.hadoop.fs.Path`
  `getConfFile()`
  `List<String>`
  `getDiagnostics()`
  `int`
  `getFailedMaps()`
  `int`
  `getFailedReduces()`
  `org.apache.hadoop.mapreduce.v2.api.records.JobId`
  `getID()`
  `Map<org.apache.hadoop.mapreduce.JobACL,org.apache.hadoop.security.authorize.AccessControlList>`
  `getJobACLs()`
  `int`
  `getKilledMaps()`
  `int`
  `getKilledReduces()`
  `org.apache.hadoop.mapred.TaskCompletionEvent[]`
  `getMapAttemptCompletionEvents(int startIndex, int maxEvents)`
  `int`
  `getMaxTasksAllowed()`
  `String`
  `getName()`
  `float`
  `getProgress()`
  `String`
  `getQueueName()`
  `org.apache.hadoop.mapreduce.v2.api.records.JobReport`
  `getReport()`
  `org.apache.hadoop.mapreduce.v2.api.records.JobState`
  `getState()`
  `org.apache.hadoop.mapreduce.v2.app.job.Task`
  `getTask(org.apache.hadoop.mapreduce.v2.api.records.TaskId taskID)`
  `org.apache.hadoop.mapreduce.v2.api.records.TaskAttemptCompletionEvent[]`
  `getTaskAttemptCompletionEvents(int fromEventId, int maxEvents)`
  `Map<org.apache.hadoop.mapreduce.v2.api.records.TaskId,org.apache.hadoop.mapreduce.v2.app.job.Task>`
  `getTasks()`
  `Map<org.apache.hadoop.mapreduce.v2.api.records.TaskId,org.apache.hadoop.mapreduce.v2.app.job.Task>`
  `getTasks(org.apache.hadoop.mapreduce.v2.api.records.TaskType taskType)`
  `int`
  `getTotalMaps()`
  `int`
  `getTotalReduces()`
  `String`
  `getUserName()`
  `boolean`
  `isUber()`
  `org.apache.hadoop.conf.Configuration`
  `loadConfFile()`
  `void`
  `setJobPriority(org.apache.hadoop.yarn.api.records.Priority priority)`
  `void`
  `setQueueName(String queueName)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### UnparsedJob

    public UnparsedJob(int maxTasksAllowed, org.apache.hadoop.mapreduce.v2.jobhistory.JobIndexInfo jobIndexInfo, HistoryFileManager.HistoryFileInfo jhfInfo) throws IOException
    Throws:
      `IOException`

- ## Method Details

  - ### getMaxTasksAllowed

    public int getMaxTasksAllowed()

  - ### getID

    public org.apache.hadoop.mapreduce.v2.api.records.JobId getID()
    Specified by:
      `getID` in interface `org.apache.hadoop.mapreduce.v2.app.job.Job`

  - ### getName

    public String getName()
    Specified by:
      `getName` in interface `org.apache.hadoop.mapreduce.v2.app.job.Job`

  - ### getState

    public org.apache.hadoop.mapreduce.v2.api.records.JobState getState()
    Specified by:
      `getState` in interface `org.apache.hadoop.mapreduce.v2.app.job.Job`

  - ### getReport

    public org.apache.hadoop.mapreduce.v2.api.records.JobReport getReport()
    Specified by:
      `getReport` in interface `org.apache.hadoop.mapreduce.v2.app.job.Job`

  - ### constructJobReport

    public org.apache.hadoop.mapreduce.v2.api.records.JobReport constructJobReport()

  - ### getAllCounters

    public org.apache.hadoop.mapreduce.Counters getAllCounters()
    Specified by:
      `getAllCounters` in interface `org.apache.hadoop.mapreduce.v2.app.job.Job`

  - ### getTasks

    public Map<org.apache.hadoop.mapreduce.v2.api.records.TaskId,org.apache.hadoop.mapreduce.v2.app.job.Task> getTasks()
    Specified by:
      `getTasks` in interface `org.apache.hadoop.mapreduce.v2.app.job.Job`

  - ### getTasks

    public Map<org.apache.hadoop.mapreduce.v2.api.records.TaskId,org.apache.hadoop.mapreduce.v2.app.job.Task> getTasks(org.apache.hadoop.mapreduce.v2.api.records.TaskType taskType)
    Specified by:
      `getTasks` in interface `org.apache.hadoop.mapreduce.v2.app.job.Job`

  - ### getTask

    public org.apache.hadoop.mapreduce.v2.app.job.Task getTask(org.apache.hadoop.mapreduce.v2.api.records.TaskId taskID)
    Specified by:
      `getTask` in interface `org.apache.hadoop.mapreduce.v2.app.job.Job`

  - ### getDiagnostics

    public List<String> getDiagnostics()
    Specified by:
      `getDiagnostics` in interface `org.apache.hadoop.mapreduce.v2.app.job.Job`

  - ### getTotalMaps

    public int getTotalMaps()
    Specified by:
      `getTotalMaps` in interface `org.apache.hadoop.mapreduce.v2.app.job.Job`

  - ### getTotalReduces

    public int getTotalReduces()
    Specified by:
      `getTotalReduces` in interface `org.apache.hadoop.mapreduce.v2.app.job.Job`

  - ### getCompletedMaps

    public int getCompletedMaps()
    Specified by:
      `getCompletedMaps` in interface `org.apache.hadoop.mapreduce.v2.app.job.Job`

  - ### getCompletedReduces

    public int getCompletedReduces()
    Specified by:
      `getCompletedReduces` in interface `org.apache.hadoop.mapreduce.v2.app.job.Job`

  - ### getProgress

    public float getProgress()
    Specified by:
      `getProgress` in interface `org.apache.hadoop.mapreduce.v2.app.job.Job`

  - ### isUber

    public boolean isUber()
    Specified by:
      `isUber` in interface `org.apache.hadoop.mapreduce.v2.app.job.Job`

  - ### getUserName

    public String getUserName()
    Specified by:
      `getUserName` in interface `org.apache.hadoop.mapreduce.v2.app.job.Job`

  - ### getQueueName

    public String getQueueName()
    Specified by:
      `getQueueName` in interface `org.apache.hadoop.mapreduce.v2.app.job.Job`

  - ### getConfFile

    public org.apache.hadoop.fs.Path getConfFile()
    Specified by:
      `getConfFile` in interface `org.apache.hadoop.mapreduce.v2.app.job.Job`

  - ### loadConfFile

    public org.apache.hadoop.conf.Configuration loadConfFile() throws IOException
    Specified by:
      `loadConfFile` in interface `org.apache.hadoop.mapreduce.v2.app.job.Job`
    Throws:
      `IOException`

  - ### getJobACLs

    public Map<org.apache.hadoop.mapreduce.JobACL,org.apache.hadoop.security.authorize.AccessControlList> getJobACLs()
    Specified by:
      `getJobACLs` in interface `org.apache.hadoop.mapreduce.v2.app.job.Job`

  - ### getTaskAttemptCompletionEvents

    public org.apache.hadoop.mapreduce.v2.api.records.TaskAttemptCompletionEvent[] getTaskAttemptCompletionEvents(int fromEventId, int maxEvents)
    Specified by:
      `getTaskAttemptCompletionEvents` in interface `org.apache.hadoop.mapreduce.v2.app.job.Job`

  - ### getMapAttemptCompletionEvents

    public org.apache.hadoop.mapred.TaskCompletionEvent[] getMapAttemptCompletionEvents(int startIndex, int maxEvents)
    Specified by:
      `getMapAttemptCompletionEvents` in interface `org.apache.hadoop.mapreduce.v2.app.job.Job`

  - ### getAMInfos

    public List<org.apache.hadoop.mapreduce.v2.api.records.AMInfo> getAMInfos()
    Specified by:
      `getAMInfos` in interface `org.apache.hadoop.mapreduce.v2.app.job.Job`

  - ### checkAccess

    public boolean checkAccess(org.apache.hadoop.security.UserGroupInformation callerUGI, org.apache.hadoop.mapreduce.JobACL jobOperation)
    Specified by:
      `checkAccess` in interface `org.apache.hadoop.mapreduce.v2.app.job.Job`

  - ### setQueueName

    public void setQueueName(String queueName)
    Specified by:
      `setQueueName` in interface `org.apache.hadoop.mapreduce.v2.app.job.Job`

  - ### setJobPriority

    public void setJobPriority(org.apache.hadoop.yarn.api.records.Priority priority)
    Specified by:
      `setJobPriority` in interface `org.apache.hadoop.mapreduce.v2.app.job.Job`

  - ### getFailedMaps

    public int getFailedMaps()
    Specified by:
      `getFailedMaps` in interface `org.apache.hadoop.mapreduce.v2.app.job.Job`

  - ### getFailedReduces

    public int getFailedReduces()
    Specified by:
      `getFailedReduces` in interface `org.apache.hadoop.mapreduce.v2.app.job.Job`

  - ### getKilledMaps

    public int getKilledMaps()
    Specified by:
      `getKilledMaps` in interface `org.apache.hadoop.mapreduce.v2.app.job.Job`

  - ### getKilledReduces

    public int getKilledReduces()
    Specified by:
      `getKilledReduces` in interface `org.apache.hadoop.mapreduce.v2.app.job.Job`